Bug 9932 - WackoWiki сломана
: WackoWiki сломана
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/WackoWiki)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-29 17:09 by
Modified: 2007-01-26 09:39 (History)


Attachments
Вот так выглядит вака после установки (75.70 KB, image/png)
2006-09-01 15:48, Igor Zubkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-29 17:09:02
После установки, наблюдаю в браузере следующее:

Query failed: select id, tag, time, owner, user, latest, handler, comment_on,
super_comment_on, supertag, lang, keywords, description from wakka_pages where
tag='Пользователи' and latest = 'Y' limit 1 (1267: Illegal mix of collations
(koi8r_bin,IMPLICIT) and (latin1_swedish_ci,COERCIBLE) for operation '=')
------- Comment #1 From 2006-08-31 13:02:58 -------
У меня почти готов исправленный пакет.
(после установки нужно изучить README.ALT!)
------- Comment #2 From 2006-08-31 14:40:39 -------
(In reply to comment #1)
> У меня почти готов исправленный пакет.
> (после установки нужно изучить README.ALT!)

Оригинальная WakkaWiki с сайта вчера у меня вообще не поднялась. А сборку из
Сизифа я домой так и не дотащил.

Так что, жду на растерзание. :)
------- Comment #3 From 2006-08-31 16:32:14 -------
Версия 4.2-alt4.svn.1162 ушла в Incoming.

Вроде всё работает, кроме rewrite-режима. Апач ругается в лог

[Wed Aug 30 17:29:03 2006] [error] [client 192.168.3.41] mod_rewrite: maximum
number of internal redirects reached. Assuming configuration error. Use
'RewriteOptions MaxRedirects' to increase the limit if neccessary.

Почему так, я пока не знаю. 

P.S. у mithraen@-а сейчас кто-то переписывает код, так что ожидаем форк...
------- Comment #4 From 2006-08-31 16:57:01 -------
Версия вытященная из devel:/i/S/ ругается вот так:

Тестирование настроек
 Проверка параметров соединения с БД... OK
 Проверка БД... OK

 Инсталлируем
 Создаём таблицу page... OK
 Создаём таблицу revision... OK
 Создаём таблицу ACL... OK
 Создаём таблицу link tracking... OK
 Создаём таблицу referrer... OK
 Создаём таблицу user... OK
 Создаём таблицу watches... OK
 Создаём таблицу upload... OK
 Создаём таблицу cache... OK
 Добавляем административного пользователя... OK
 Добавляем начальный набор страниц... OK

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

 На следующем шаге инсталлятор попробует сохранить обновлённый конфигурационный 
файл, wakka.config.php. Пожалуйста, проверьте, что веб-сервер имеет достаточно 
прав для изменения файла; в противном случае Вам придётся сохранить изменения 
вручную.. Не побоимся повториться, см. WackoWiki:WackoДокументация/Установка.

А так там есть ещё проблемы...
------- Comment #5 From 2006-08-31 17:07:32 -------
(In reply to comment #3)
> Версия 4.2-alt4.svn.1162 ушла в Incoming.

Вот это я только что тестировал. Лог выше.

> Вроде всё работает, кроме rewrite-режима. Апач ругается в лог

А вот что... Попробую его отключить.

> P.S. у mithraen@-а сейчас кто-то переписывает код, так что ожидаем форк...

Интересно.
------- Comment #6 From 2006-09-01 10:50:35 -------
>  Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
> resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7

Ну, эти warning-и вроде несущественны, занимться ими пока некогда...

>  На следующем шаге инсталлятор попробует сохранить обновлённый 
> конфигурационный 
> файл, wakka.config.php. Пожалуйста, проверьте, что веб-сервер имеет достаточно 
> прав для изменения файла; в противном случае Вам придётся сохранить изменения 
> вручную.. Не побоимся повториться, см. WackoWiki:WackoДокументация/Установка.

По умолчанию у веб-сервера нет прав на запись конфига. Это описано в README.ALT.

> А так там есть ещё проблемы...

Подробнее :)
------- Comment #7 From 2006-09-01 15:14:18 -------
(In reply to comment #6)
> >  Warning: mysql_num_rows(): supplied argument is not a valid MySQL result 
> > resource in /var/www/html/addon-modules/wackowiki/setup/inserts.php on line 7
> 
> Ну, эти warning-и вроде несущественны, занимться ими пока некогда...

Они меня смущают...

> >  На следующем шаге инсталлятор попробует сохранить обновлённый 
> > конфигурационный 
> > файл, wakka.config.php. Пожалуйста, проверьте, что веб-сервер имеет достаточно 
> > прав для изменения файла; в противном случае Вам придётся сохранить изменения 
> > вручную.. Не побоимся повториться, см. WackoWiki:WackoДокументация/Установка.
> 
> По умолчанию у веб-сервера нет прав на запись конфига. Это описано в README.ALT.


Ммм... Меня наверно не так поняли, вака у меня встала. Это я просто лог привёл с
руганью.

> > А так там есть ещё проблемы...
> 
> Подробнее :)

Сейчас приложу скриншот с проблемой номер один. И попытаюсь описать проблему
номер два.
------- Comment #8 From 2006-09-01 15:48:50 -------
Created an attachment (id=1614) [details]
Вот так выглядит вака после установки
------- Comment #9 From 2006-09-01 15:49:29 -------
(In reply to comment #8)
> Created an attachment (id=1614) [edit] [details]
> Вот так выглядит вака после установки
> 

Это проблема номер один.
------- Comment #10 From 2006-09-01 15:55:44 -------
(In reply to comment #9)
> (In reply to comment #8)
> > Created an attachment (id=1614) [edit] [details] [edit]
> > Вот так выглядит вака после установки
> > 
> 
> Это проблема номер один.

Да... Что бы не было вопросов, README я читал и сделал как там написано.
------- Comment #11 From 2006-09-04 10:17:46 -------
Гм... Собственно именно с этим я и воевал, пропатчив код на предмет "SET NAMES
'cp1251' при lng=ru.
При установке был выбран русский язык?
------- Comment #12 From 2006-09-04 15:54:09 -------
(In reply to comment #11)
> Гм... Собственно именно с этим я и воевал, пропатчив код на предмет "SET NAMES
> 'cp1251' при lng=ru.
> При установке был выбран русский язык?

Да.
------- Comment #13 From 2006-10-06 15:13:16 -------
> > При установке был выбран русский язык?
> 
> Да.

а после установки в конфиге было ли прописано
"db_collation" => "cp1251"

В общем, УМВР.
------- Comment #14 From 2006-12-21 20:16:17 -------
Мне не охота разбиратся с WackoWiki...
------- Comment #15 From 2007-01-26 09:33:20 -------
Я понял, после выставления db_collation" => "cp1251"
страница всё ещё может отдаваться с кракозябрами из-за кэша :D
------- Comment #16 From 2007-01-26 09:34:24 -------
Выставляю Fixed.
------- Comment #17 From 2007-01-26 09:39:58 -------
Закрываем.